#pragma once

#include "stdafx.h"

class FactoryComm
{
public:

	/***********************************************************************************
	*Class:       FactoryComm
	*Function:    createCommInterface
	*Description: create the object of CommInterface 
	*Parameters:  Protocol protocol: parameter from interpreter about which protocol is 
	*             chosen
	*Returns:     CommInterface* : pointer to the CommInterface	object
	***********************************************************************************/
 	static CommInterface *createCommInterface(Protocol protocol);

private:

};